Package org.eclipse.m2m.atl.emftvm.trace

# Interface TracePackage.Literals

Enclosing interface:
  `TracePackage`

public static interface TracePackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EDataType`
`JAVA_LIST`
The meta object literal for the 'Java List' data type.
`static final org.eclipse.emf.ecore.EClass`
`SOURCE_ELEMENT`
The meta object literal for the '`Source Element`' class.
`static final org.eclipse.emf.ecore.EReference`
`SOURCE_ELEMENT__DEFAULT_FOR`
The meta object literal for the 'Default For' reference feature.
`static final org.eclipse.emf.ecore.EReference`
`SOURCE_ELEMENT__MAPS_TO`
The meta object literal for the 'Maps To' reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SOURCE_ELEMENT__MAPS_TO_SELF`
The meta object literal for the 'Maps To Self' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`SOURCE_ELEMENT__SOURCE_OF`
The meta object literal for the 'Source Of' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`SOURCE_ELEMENT__UNIQUE_FOR`
The meta object literal for the 'Unique For' reference feature.
`static final org.eclipse.emf.ecore.EClass`
`SOURCE_ELEMENT_LIST`
The meta object literal for the '`Source Element List`' class.
`static final org.eclipse.emf.ecore.EReference`
`SOURCE_ELEMENT_LIST__DEFAULT_FOR`
The meta object literal for the 'Default For' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`SOURCE_ELEMENT_LIST__SOURCE_ELEMENTS`
The meta object literal for the 'Source Elements' reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`SOURCE_ELEMENT_LIST__UNIQUE_FOR`
The meta object literal for the 'Unique For' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`TARGET_ELEMENT`
The meta object literal for the '`Target Element`' class.
`static final org.eclipse.emf.ecore.EReference`
`TARGET_ELEMENT__MAPS_TO`
The meta object literal for the 'Maps To' reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`TARGET_ELEMENT__TARGET_OF`
The meta object literal for the 'Target Of' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`TRACE_ELEMENT`
The meta object literal for the '`Element`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`TRACE_ELEMENT__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`TRACE_ELEMENT__OBJECT`
The meta object literal for the 'Object' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`TRACE_ELEMENT__RUNTIME_OBJECT`
The meta object literal for the 'Runtime Object' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`TRACE_LINK`
The meta object literal for the '`Link`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`TRACE_LINK__OVERRIDDEN`
The meta object literal for the 'Overridden' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`TRACE_LINK__RULE`
The meta object literal for the 'Rule' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`TRACE_LINK__SOURCE_ELEMENTS`
The meta object literal for the 'Source Elements' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`TRACE_LINK__TARGET_ELEMENTS`
The meta object literal for the 'Target Elements' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`TRACE_LINK_SET`
The meta object literal for the '`Link Set`' class.
`static final org.eclipse.emf.ecore.EReference`
`TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENT_LISTS`
The meta object literal for the 'Default Source Element Lists' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENTS`
The meta object literal for the 'Default Source Elements' reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`TRACE_LINK_SET__RULES`
The meta object literal for the 'Rules' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`TRACED_RULE`
The meta object literal for the '`Traced Rule`' class.
`static final org.eclipse.emf.ecore.EReference`
`TRACED_RULE__LINK_SET`
The meta object literal for the 'Link Set' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`TRACED_RULE__LINKS`
The meta object literal for the 'Links' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`TRACED_RULE__RULE`
The meta object literal for the 'Rule' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`TRACED_RULE__UNIQUE_SOURCE_ELEMENT_LISTS`
The meta object literal for the 'Unique Source Element Lists' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`TRACED_RULE__UNIQUE_SOURCE_ELEMENTS`
The meta object literal for the 'Unique Source Elements' reference list feature.

## Field Details

### TRACE_LINK_SET

static final org.eclipse.emf.ecore.EClass TRACE_LINK_SET
The meta object literal for the '`Link Set`' class.

See Also:
  - `TraceLinkSetImpl`
  - `TracePackageImpl.getTraceLinkSet()`

### TRACE_LINK_SET__RULES

static final org.eclipse.emf.ecore.EReference TRACE_LINK_SET__RULES
The meta object literal for the 'Rules' containment reference list feature.

### TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENTS

static final org.eclipse.emf.ecore.EReference TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENTS
The meta object literal for the 'Default Source Elements' reference list feature.

### TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENT_LISTS

static final org.eclipse.emf.ecore.EReference TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENT_LISTS
The meta object literal for the 'Default Source Element Lists' containment reference list feature.

### TRACED_RULE

static final org.eclipse.emf.ecore.EClass TRACED_RULE
The meta object literal for the '`Traced Rule`' class.

See Also:
  - `TracedRuleImpl`
  - `TracePackageImpl.getTracedRule()`

### TRACED_RULE__RULE

static final org.eclipse.emf.ecore.EAttribute TRACED_RULE__RULE
The meta object literal for the 'Rule' attribute feature.

### TRACED_RULE__LINKS

static final org.eclipse.emf.ecore.EReference TRACED_RULE__LINKS
The meta object literal for the 'Links' containment reference list feature.

### TRACED_RULE__LINK_SET

static final org.eclipse.emf.ecore.EReference TRACED_RULE__LINK_SET
The meta object literal for the 'Link Set' container reference feature.

### TRACED_RULE__UNIQUE_SOURCE_ELEMENTS

static final org.eclipse.emf.ecore.EReference TRACED_RULE__UNIQUE_SOURCE_ELEMENTS
The meta object literal for the 'Unique Source Elements' reference list feature.

### TRACED_RULE__UNIQUE_SOURCE_ELEMENT_LISTS

static final org.eclipse.emf.ecore.EReference TRACED_RULE__UNIQUE_SOURCE_ELEMENT_LISTS
The meta object literal for the 'Unique Source Element Lists' containment reference list feature.

### TRACE_LINK

static final org.eclipse.emf.ecore.EClass TRACE_LINK
The meta object literal for the '`Link`' class.

See Also:
  - `TraceLinkImpl`
  - `TracePackageImpl.getTraceLink()`

### TRACE_LINK__RULE

static final org.eclipse.emf.ecore.EReference TRACE_LINK__RULE
The meta object literal for the 'Rule' container reference feature.

### TRACE_LINK__OVERRIDDEN

static final org.eclipse.emf.ecore.EAttribute TRACE_LINK__OVERRIDDEN
The meta object literal for the 'Overridden' attribute feature.

### TRACE_LINK__SOURCE_ELEMENTS

static final org.eclipse.emf.ecore.EReference TRACE_LINK__SOURCE_ELEMENTS
The meta object literal for the 'Source Elements' containment reference list feature.

### TRACE_LINK__TARGET_ELEMENTS

static final org.eclipse.emf.ecore.EReference TRACE_LINK__TARGET_ELEMENTS
The meta object literal for the 'Target Elements' containment reference list feature.

### TRACE_ELEMENT

static final org.eclipse.emf.ecore.EClass TRACE_ELEMENT
The meta object literal for the '`Element`' class.

See Also:
  - `TraceElementImpl`
  - `TracePackageImpl.getTraceElement()`

### TRACE_ELEMENT__NAME

static final org.eclipse.emf.ecore.EAttribute TRACE_ELEMENT__NAME
The meta object literal for the 'Name' attribute feature.

### TRACE_ELEMENT__OBJECT

static final org.eclipse.emf.ecore.EReference TRACE_ELEMENT__OBJECT
The meta object literal for the 'Object' reference feature.

### TRACE_ELEMENT__RUNTIME_OBJECT

static final org.eclipse.emf.ecore.EAttribute TRACE_ELEMENT__RUNTIME_OBJECT
The meta object literal for the 'Runtime Object' attribute feature.

### SOURCE_ELEMENT

static final org.eclipse.emf.ecore.EClass SOURCE_ELEMENT
The meta object literal for the '`Source Element`' class.

See Also:
  - `SourceElementImpl`
  - `TracePackageImpl.getSourceElement()`

### SOURCE_ELEMENT__SOURCE_OF

static final org.eclipse.emf.ecore.EReference SOURCE_ELEMENT__SOURCE_OF
The meta object literal for the 'Source Of' container reference feature.

### SOURCE_ELEMENT__MAPS_TO

static final org.eclipse.emf.ecore.EReference SOURCE_ELEMENT__MAPS_TO
The meta object literal for the 'Maps To' reference list feature.

### SOURCE_ELEMENT__DEFAULT_FOR

static final org.eclipse.emf.ecore.EReference SOURCE_ELEMENT__DEFAULT_FOR
The meta object literal for the 'Default For' reference feature.

### SOURCE_ELEMENT__UNIQUE_FOR

static final org.eclipse.emf.ecore.EReference SOURCE_ELEMENT__UNIQUE_FOR
The meta object literal for the 'Unique For' reference feature.

### SOURCE_ELEMENT__MAPS_TO_SELF

static final org.eclipse.emf.ecore.EAttribute SOURCE_ELEMENT__MAPS_TO_SELF
The meta object literal for the 'Maps To Self' attribute feature.

### TARGET_ELEMENT

static final org.eclipse.emf.ecore.EClass TARGET_ELEMENT
The meta object literal for the '`Target Element`' class.

See Also:
  - `TargetElementImpl`
  - `TracePackageImpl.getTargetElement()`

### TARGET_ELEMENT__TARGET_OF

static final org.eclipse.emf.ecore.EReference TARGET_ELEMENT__TARGET_OF
The meta object literal for the 'Target Of' container reference feature.

### TARGET_ELEMENT__MAPS_TO

static final org.eclipse.emf.ecore.EReference TARGET_ELEMENT__MAPS_TO
The meta object literal for the 'Maps To' reference list feature.

### SOURCE_ELEMENT_LIST

static final org.eclipse.emf.ecore.EClass SOURCE_ELEMENT_LIST
The meta object literal for the '`Source Element List`' class.

See Also:
  - `SourceElementListImpl`
  - `TracePackageImpl.getSourceElementList()`

### SOURCE_ELEMENT_LIST__SOURCE_ELEMENTS

static final org.eclipse.emf.ecore.EReference SOURCE_ELEMENT_LIST__SOURCE_ELEMENTS
The meta object literal for the 'Source Elements' reference list feature.

### SOURCE_ELEMENT_LIST__DEFAULT_FOR

static final org.eclipse.emf.ecore.EReference SOURCE_ELEMENT_LIST__DEFAULT_FOR
The meta object literal for the 'Default For' container reference feature.

### SOURCE_ELEMENT_LIST__UNIQUE_FOR

static final org.eclipse.emf.ecore.EReference SOURCE_ELEMENT_LIST__UNIQUE_FOR
The meta object literal for the 'Unique For' container reference feature.

### JAVA_LIST

static final org.eclipse.emf.ecore.EDataType JAVA_LIST
The meta object literal for the 'Java List' data type.

See Also:
  - `List`
  - `TracePackageImpl.getJavaList()`